stages: 
    - trigger-child-pipelines

anis-client:
    stage: trigger-child-pipelines
    trigger:
        include: client/.gitlab-ci.yml
        strategy: depend
    only:
        changes:
            - client/**/*
        refs:
            - develop

anis-server:
    stage: trigger-child-pipelines
    trigger:
        include: server/.gitlab-ci.yml
        strategy: depend
    only:
        changes:
            - server/**/*
        refs:
            - develop

anis-services:
    stage: trigger-child-pipelines
    trigger:
        include: services/.gitlab-ci.yml
        strategy: depend
    only:
        changes:
            - services/**/*
        refs:
            - develop